/* RESET BÁSICO */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

/* CONTAINER */
.container {
    width: 90%;
    max-width: 1200px;
    margin: auto;
}

/* HEADER */
header {
    background: green;
    color: #fff;
    padding: 15px 0;
}

header .logo {
    float: left;
}

header nav {
    float: right;
}

header nav a {
    color: #222121;
    margin-left: 20px;
    text-decoration: none;
    font-weight: bold;
}

/* CLEAR FLOAT */
header::after {
    content: "";
    display: table;
    clear: both;
}

/* HERO */
.hero {
    background: url('hero.jpg') center/cover no-repeat;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: black;
}

.hero h2 {
    font-size: 2.5rem;
    margin-bottom: 10px;
}

/* SEÇÕES */
section {
    padding: 50px 0;
}

section h2 {
    margin-bottom: 20px;
    text-align: center;
}

/* GALERIA */
.galeria .grid-fotos {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    gap: 15px;
}

.galeria .foto img {
    width: 100%;
    border-radius: 8px;
}

/* RESERVAS FORM */
.reservas form {
    max-width: 600px;
    margin: auto;
    display: grid;
    gap: 10px;
}

.reservas input,
.reservas textarea {
    padding: 10px;
    border: 1px solid #aaa;
    border-radius: 5px;
}

.reservas button {
    padding: 12px;
    background: green;
    color: #fff;
    border: none;
    cursor: pointer;
    font-weight: bold;
}

/* FOOTER */
footer {
    background: green;
    color: #fff;
    text-align: center;
    padding: 25px 0;
}
.sobre img {
    width: 550px;   /* aumenta aqui */
    max-width: 100%;
    display: block;
    margin: 20px auto;
    border-radius: 10px;
}
.sobre p {
    max-width: 750px;
    margin: 0 auto 25px auto; /* espaço embaixo do parágrafo */
    line-height: 1.8; /* espaço entre linhas */
    font-size: 18px;
    color: #444;
    text-align: justify; /* deixa alinhado bonito */
}
.sobre {
    padding: 80px 20px;
}
.botao-whatsapp {
    display: inline-block;
    background-color: #25D366;
    color: white;
    padding: 15px 30px;
    font-size: 18px;
    font-weight: 600;
    text-decoration: none;
    border-radius: 8px;
    transition: 0.3s;
    margin-top: 20px;
}

.botao-whatsapp:hover {
    background-color: #1ebe5d;
    transform: scale(1.05);
}